# Serialized Form

## Package com.microsoft.sqlserver.jdbc

### Class com.microsoft.sqlserver.jdbc.AE extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.dtv extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.FailOverInfo extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.FailOverMapSingleton extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.IOBuffer extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.ParsedSQLMetadata extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.SQLServerBlob extends com.microsoft.sqlserver.jdbc.SQLServerLob implements Serializable

serialVersionUID:
  -3526170228097889085L

### Serialized Fields

#### activeStreams

    java.util.ArrayList<java.io.Closeable> activeStreams

#### isClosed

    boolean isClosed

#### traceID

    java.lang.String traceID

#### value

    byte[] value

### Class com.microsoft.sqlserver.jdbc.SQLServerClob extends com.microsoft.sqlserver.jdbc.SQLServerClobBase implements Serializable

serialVersionUID:
  2872035282200133865L

### Class com.microsoft.sqlserver.jdbc.SQLServerConnectionPoolDataSource extends SQLServerDataSource implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream stream)
                     throws java.io.InvalidObjectException

Throws:
  `java.io.InvalidObjectException`

#### writeReplace

    private java.lang.Object writeReplace()
                                   throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Class com.microsoft.sqlserver.jdbc.SQLServerDataSource extends java.lang.Object implements Serializable

serialVersionUID:
  654861379544314296L

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream stream)
                     throws java.io.InvalidObjectException

Throws:
  `java.io.InvalidObjectException`

#### writeReplace

    private java.lang.Object writeReplace()
                                   throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### connectionProps

    java.util.Properties connectionProps

#### dataSourceDescription

    java.lang.String dataSourceDescription

#### dataSourceURL

    java.lang.String dataSourceURL

#### loggingClassName

    java.lang.String loggingClassName

#### traceID

    java.lang.String traceID

#### trustStorePasswordStripped

    boolean trustStorePasswordStripped

### Class com.microsoft.sqlserver.jdbc.SQLServerException extends java.sql.SQLException implements Serializable

### Serialized Fields

#### driverErrorCode

    int driverErrorCode

### Class com.microsoft.sqlserver.jdbc.SQLServerJdbc42 extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.SQLServerJdbc43 extends none implements Serializable

### Class com.microsoft.sqlserver.jdbc.SQLServerNClob extends com.microsoft.sqlserver.jdbc.SQLServerClobBase implements Serializable

serialVersionUID:
  1L

### Class com.microsoft.sqlserver.jdbc.SQLServerXADataSource extends SQLServerConnectionPoolDataSource implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream stream)
                     throws java.io.InvalidObjectException

Throws:
  `java.io.InvalidObjectException`

#### writeReplace

    private java.lang.Object writeReplace()
                                   throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Class com.microsoft.sqlserver.jdbc.tdsparser extends none implements Serializable

## Package microsoft.sql

### Class microsoft.sql.DateTimeOffset extends java.lang.Object implements Serializable

serialVersionUID:
  541973748553014280L

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream stream)
                     throws java.io.InvalidObjectException

Throws:
  `java.io.InvalidObjectException`

#### writeReplace

    private java.lang.Object writeReplace()

### Serialized Fields

#### formattedValue

    java.lang.String formattedValue

#### minutesOffset

    int minutesOffset

#### nanos

    int nanos

#### utcMillis

    long utcMillis

## Package mssql.googlecode.concurrentlinkedhashmap

### Class mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap extends java.util.AbstractMap<K,V> implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream stream)
                     throws java.io.InvalidObjectException

Throws:
  `java.io.InvalidObjectException`

#### writeReplace

    java.lang.Object writeReplace()

### Serialized Fields

#### capacity

    java.util.concurrent.atomic.AtomicLong capacity

#### concurrencyLevel

    int concurrencyLevel

#### data

    java.util.concurrent.ConcurrentMap<K,mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap.Node<K,V>> data

#### drainStatus

    java.util.concurrent.atomic.AtomicReference<mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap.DrainStatus> drainStatus

#### evictionDeque

    mssql.googlecode.concurrentlinkedhashmap.LinkedDeque<mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap.Node<K,V>> evictionDeque

#### evictionLock

    java.util.concurrent.locks.Lock evictionLock

#### listener

    EvictionListener<K,V> listener

#### pendingNotifications

    java.util.Queue<mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap.Node<K,V>> pendingNotifications

#### readBufferDrainAtWriteCount

    java.util.concurrent.atomic.AtomicLong[] readBufferDrainAtWriteCount

#### readBufferReadCount

    long[] readBufferReadCount

#### readBuffers

    java.util.concurrent.atomic.AtomicReference<mssql.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap.Node<K,V>>[][] readBuffers

#### readBufferWriteCount

    java.util.concurrent.atomic.AtomicLong[] readBufferWriteCount

#### weigher

    EntryWeigher<? super K,? super V> weigher

#### weightedSize

    java.util.concurrent.atomic.AtomicLong weightedSize

#### writeBuffer

    java.util.Queue<java.lang.Runnable> writeBuffer